import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, a = Object.getOwnPropertyDescriptor, n = (p, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? a(e, s) : e, l = p.length - 1, i; l >= 0; l--)
    (i = p[l]) && (r = (t ? i(e, s, r) : i(r)) || r);
  return t && r && v(e, s, r), r;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--networkError", this.class = "c-pieIcon c-pieIcon--networkError", this.name = "IconNetworkError";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--networkError"><path d="M14.554 2.321h-1.838l-.507.517H8.674v3.56l-1.322 1.33V4.904H3.39v6.807l-1.97 1.995h1.847l.525-.525h3.561V9.593l1.322-1.33v4.943h3.946V4.281l1.942-1.96zM4.7 6.224h1.33v2.835l-1.33 1.339zm1.33 5.644h-.945l.945-.954zM9.977 4.15h.92l-.92.928zm1.322 7.735H9.977V6.933l1.322-1.33z"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  m("icon-network-error")
], o);
export {
  o as IconNetworkError
};
